Bug 1461698 - engine-setup should test OVN provider connection
engine-setup should test OVN provider connection
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
4.2.0
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Marcin Mirecki
Meni Yakove
:
: 1461699 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 04:36 EDT by Mor
Modified: 2017-07-16 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Mor 2017-06-15 04:36:43 EDT
Description of problem:
When using engine-setup to install OVN, it should test the provider connection and show error in case something went wrong.

Version-Release number of selected component (if applicable):
Version 4.2.0-0.0.master.20170609091031.gitc86d08a.el7.centos

How reproducible:
100%

Steps to Reproduce:
On a clean environment:

1. Run engine-setup.
2. Choose to install OVN.
3. Choose a non existent user for OVN provider (do not accept the default admin@internal) OR type wrong password for existing user (admin@internal).
3. Accept all other setup default questions.

Actual results:
Provider is registered, but is not functional, and if you test it in the UI it fails.

Expected results:
Engine-setup should test the provider connection during runtime, after installing OVN.

Additional info:
Comment 1 Mor 2017-06-21 03:34:10 EDT
*** Bug 1461699 has been marked as a duplicate of this bug. ***
Comment 2 Dan Kenigsberg 2017-06-21 03:51:10 EDT
We could test the new provider after Engine is up, and add a warning if this fails.

Note You need to log in before you can comment on or make changes to this bug.